@import '../../styles/variables';
@import '../../styles/mixins';

.cui-pagination {
  display: flex;
  justify-content: center;

  ul {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
  }

  li {
    display: inline-block;
    margin: 0;
    padding: 0;
  }

  .cui-button {
    padding: 0 .25rem;

    .cui-button-content {
      display: inline-flex;
    }
  }

  .dots {
    @include cui-no-select();
    color: cui-color(secondary, text);
    display: inline-block;
    text-align: center;

    @mixin size($size) {
      &[data-cui-size="#{$size}"] {
        width: cui-height($size);
        height: cui-height($size);
        line-height: cui-height($size);
      }
    }

    @include size(s);
    @include size(m);
    @include size(l);
  }

  .cui-button[data-cui-look="button"],
  .dots[data-cui-look="button"] {
    margin: 0 .25rem;
  }

  .pagination-first,
  .pagination-last {
    font-size: 1rem;
  }
}
